[OSM-dev] ubuntu 8.10, pymedia, G++ 3.4 and party render.

Simon Ward simon at bleah.co.uk
Tue Dec 2 23:05:30 GMT 2008


On Tue, Dec 02, 2008 at 08:40:59PM +0000, Tim Waters (chippy) wrote:
> So, [partyrender] requires pymedia - and this needs to be compiled.
> Previous attempts are documented on hardy [2] and gutsy [3]
> gcc-3.4 is installable but with intrepid G++ 3 is not installable! And
> apparently ubuntu "won't fix" this [4]
> 
> That's what I think is going wrong, anyhow . But has / can anyone get
> the party render.py or video.py working on their ubuntu 8.10 system,
> and tell us how they did it?

I compiled Pymedia with G++ 4 on Debian Lenny.  I left out some audio
support, but mainly because Lame isn’t available, and I didn’t work out
how to get Pymedia working with Twolame or Toolame.

Simon
-- 
A complex system that works is invariably found to have evolved from a
simple system that works.—John Gall
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 197 bytes
Desc: Digital signature
URL: <http://lists.openstreetmap.org/pipermail/dev/attachments/20081202/7d7df195/attachment.pgp>


More information about the dev mailing list